Ruby on Rails gem 安裝套件大小事 – 筆記

2016-09-14 Ruby

這一兩天在使用 Ruby on Rails 的時候遇到幾個小小的狀況,記錄在此篇

 

Case one: 安裝套件出現錯誤『While executing gem (NoMethodError) undefined method ‘map’ for nil:NilClass』

Ans: 通常在這個錯誤產生可以先進行更新 gem,可以解決80%問題

 

Case two: 如何刪除指定版本的套件

Ans: Ruby on Rails 是允許你同時安裝多個套件,但是如果你有降版的需求而產生了兩個不同版本的套件在一起就會遇到這個狀況

 

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。 必填欄位標示為 *

彙整

分類

展開全部 | 收合全部

License

訂閱 Mr. 沙先生 的文章

輸入你的 email 用於訂閱

%d 位部落客按了讚: